# OpenGl_ImageBox.h File Reference

## Functions

unsigned * | read_texture (char *name, int *width, int *height, int *components)
void | ReadScaledImage (char *file, int xsize, int ysize, char *buf, unsigned short *zsize)
void | ReadSizeImage (char *, int *, int *)
void | bwtorgba (unsigned char *b, unsigned char *l, int n)
void | rgbtorgba (unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *l, int n)
void | rgbatorgba (unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a, unsigned char *l, int n)

## Function Documentation

void bwtorgba | ( | unsigned char * | b,
|  | unsigned char * | l,
|  | int | n
| ) |

unsigned* read_texture | ( | char * | name,
|  | int * | width,
|  | int * | height,
|  | int * | components
| ) |

void ReadScaledImage | ( | char * | file,
|  | int | xsize,
|  | int | ysize,
|  | char * | buf,
|  | unsigned short * | zsize
| ) |

void ReadSizeImage | ( | char * | ,
|  | int * | ,
|  | int * |
| ) |

void rgbatorgba | ( | unsigned char * | r,
|  | unsigned char * | g,
|  | unsigned char * | b,
|  | unsigned char * | a,
|  | unsigned char * | l,
|  | int | n
| ) |

void rgbtorgba | ( | unsigned char * | r,
|  | unsigned char * | g,
|  | unsigned char * | b,
|  | unsigned char * | l,
|  | int | n
| ) |